Bug 116527 - Email notifications UI not available/not documentated
Email notifications UI not available/not documentated
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Daniel Berrange
http://youth.aplaws.org.uk/ccm/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-22 14:17 EST by James Kearns
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 10:29:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Kearns 2004-02-22 14:17:05 EST
Description of problem:
Apologies if I have missed something obvious...

I have not been able to set up email notifications (alerts). This is 
because I cannot find a user interface for this feature in this 
release. Is it available?

CMS Administrators Guide does not cover this. Is any 
guide/documentation available?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
A UI to configure this feature per the release notes: "Automatic 
email notifications for workflow/task events are now available. CMS 
can be configured to send emails when a task is overdue, enabled, 
disabled, finished, or rolled back." 


Additional info:
Comment 1 Scott Seago 2004-02-25 15:29:15 EST
Email notifications/alerts are documented in section 5.5 of the CMS
Deployment guide.

There is no UI for configuring workflow alerts -- it is controlled via
the SectionInitializer parameters CMS enterprise.init file, and turned
on/off via the waf.workflow.simple.alerts_enabled parameter -- setting
this to true turns on alerts.

There is some UI for lifecycle alerts -- to receive expiration alerts,
add yourself to the "Alert Recipient" role via the Roles tab. When
publishing an item, there's a textfield to enter the expiration alert
time period in days and hours. Setting this value to 0 will disable
expiration alerts for this one item -- setting it to one day, for
example, will send an alert 24 hours before expiration.
Comment 2 James Kearns 2004-02-27 10:01:47 EST
Re: Additional Comment #1 "CMS Deployment guide"

Please clarify which document you mean.
I can confirm we have these five; 
Quick Start Install Guide 
APLAWS+ Configuration Reference 
CMS Administrators Guide 
WAF Development Guide 
WAF Installation Guide 
Comment 3 James Kearns 2004-02-27 10:14:34 EST
User Metriorhynchus CROCODILES is in the Alerts from the Dinosaur Den
role. But is not receiving workflow alert emails when, for example, 
http://youth.aplaws.org.uk/ccm/content/admin/item.jsp?item_id=40497
goes through Task state changes in the "Dinosaur Den" workflow.
Any ideas?

Is the waf.workflow.simple.alerts_enabled parameter set to true?
If not, then please turn this on and let me know.
Comment 4 James Kearns 2004-03-17 08:48:53 EST
Results on http://aplaws-ws3.ccm-demo.redhat.de are now as expected 
for State Change alerts. Thanks guys.

However I am not yet seeing the Lifecycle alerts. Bug 118519 explains 
my efforts.

Comment 5 James Kearns 2004-03-19 06:33:03 EST
Thank you for the CMS Deployment Guide.

I see state change alerts should include "the latest comment on the 
workflow task", and this sounds valuable to me. This information is 
not within the emails I'm getting at the moment, please enable this.
Comment 6 Scott Seago 2006-03-09 10:29:45 EST
closing stale bug

Note You need to log in before you can comment on or make changes to this bug.